/*
	all routes pertaining to the api explorer console, currently expirmental, can be accessed on /console once logged into the webapp
*/
module.exports = function(router) {


	/*
		home page, check out views/index.jade out to find the template
	*/
	router.get('/console', function(req, res, next) {	
		sess = req.session;
		if(!sess.loggedIn) {
			res.redirect('/');
			return;
		}

		var cloud =  req.app.locals.cloud(req);		

	  	res.render('console', { cloud: cloud });
	});

	router.post('/console', function(req, res, next) {	
		sess = req.session;
		if(!sess.loggedIn) {
			res.redirect('/');
			return;
		}

		var requestObject = JSON.parse(req.body.request);
		var method = req.body.command;

		var cloud =  req.app.locals.cloud(req);		

		var responseHandler = function(response) {
			console.log("response", response);
	  		res.render('console', { 
	  			cloud: cloud, 
	  			response: response,
	  			request: requestObject, 
	  			command: method
	  		});
		};

		requestObject.success = responseHandler;
		requestObject.failure = responseHandler;

		if(method == "getThumbnailUrl") {
			var url = cloud[method](requestObject.contentToken, requestObject.size);
	  		res.render('console', { 
	  			cloud: cloud, 
	  			response: url,
	  			request: requestObject, 
	  			command: method
	  		});				
		} else if (method == "getPlaylistContentUrl") {
			var url = cloud[method](requestObject.uid, requestObject.itemuid);
	  		res.render('console', { 
	  			cloud: cloud, 
	  			response: url,
	  			request: requestObject, 
	  			command: method
	  		});		
		} else {
			cloud[method](requestObject);
		}
	});
}