/*
	contains the contacts router which fetches all contants in a user's cloud account
*/
module.exports = function(router) {

	router.get('/contacts', function(req, res, next) {	
		sess = req.session;
		if(!sess.loggedIn) {
			res.redirect('/');
			return;
		}
		
		var cloud =  req.app.locals.cloud(req);		

		cloud.contacts({
			success: function(resp) {
				res.render('contacts', { 
					//pass the deeply nested contact response from the API into the template
					contacts: resp.body.contactsResponse.account.addrbook.contacts.contact 
				});
				return;
			},
			failure: function(resp) {
				res.render('contacts', { 
					error: "Error calling contacts" 
				});
				return;
			}
		});

	});	
}